<?xml version="1.0" encoding="UTF-8"?>

<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
	xmlns:ns="http://www.olpi.com/tour"
	targetNamespace="http://www.olpi.com/tour">

	<xs:simpleType name="stringType">
		<xs:restriction base="xs:string"/>
	</xs:simpleType>

	<xs:simpleType name="anyURIType">
		<xs:restriction base="xs:anyURI"/>
	</xs:simpleType>

	<xs:simpleType name="booleanType">
		<xs:restriction base="xs:boolean"/>
	</xs:simpleType>

	<xs:simpleType name="idType">
		<xs:restriction base="xs:ID"/>
	</xs:simpleType>

	<xs:simpleType name="ratingType">
		<xs:restriction base="xs:double">
			<xs:pattern value="[0-9][.][0-9]"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="tourType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="Medicine"/>
			<xs:enumeration value="Weekend"/>
			<xs:enumeration value="Fishing"/>
			<xs:enumeration value="Tourism"/>
			<xs:enumeration value="Rest"/>
			<xs:enumeration value="Pilgrimage"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="dayAmountType">
		<xs:restriction base="xs:integer">
			<xs:minInclusive value="2"/>
			<xs:maxInclusive value="30"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="nightAmountType">
		<xs:restriction base="xs:integer">
			<xs:minInclusive value="1"/>
			<xs:maxInclusive value="29"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="transporType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="Avia"/>
			<xs:enumeration value="Railway"/>
			<xs:enumeration value="Coach"/>
			<xs:enumeration value="Liner"/>
			<xs:enumeration value="Car"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="starType">
		<xs:restriction base="xs:integer">
			<xs:minInclusive value="1"/>
			<xs:maxInclusive value="5"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="foodType">
		<xs:restriction base="xs:string">
			<xs:pattern value="[A-Z]+[+]*"/>
		</xs:restriction>
	</xs:simpleType>

	<xs:simpleType name="roomType">
		<xs:restriction base="xs:string">
			<xs:enumeration value="Single"/>
			<xs:enumeration value="Double"/>
			<xs:enumeration value="Twin"/>
			<xs:enumeration value="Triple"/>
			<xs:enumeration value="Family_4"/>
			<xs:enumeration value="Family_5"/>
		</xs:restriction>
	</xs:simpleType>


	<xs:simpleType name="priceType">
		<xs:restriction base="xs:decimal">
			<xs:pattern value="[0-9]+[.][0-9][0-9]"/>
		</xs:restriction>
	</xs:simpleType>

	<!-- definition of complex elements ****************** -->

	<xs:complexType name="termType">
		<xs:sequence>
			<xs:element name="days_amount" type="ns:dayAmountType"/>
			<xs:element name="nights_amount" type="ns:nightAmountType"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="hotelCharacteristicType">
		<xs:sequence>
			<xs:element name="star" type="ns:starType"/>
			<xs:element name="food_type" type="ns:foodType"/>
			<xs:element name="room_type" type="ns:roomType"/>
			<xs:element name="facilities" type="ns:facilitiesType"/>
		</xs:sequence>
		<xs:attribute name="website" use="optional"
			type="ns:anyURIType" />
		<xs:attribute name="rating" type="ns:ratingType"
			use="required" />
	</xs:complexType>

	<xs:complexType name="facilitiesType">
		<xs:sequence>
			<xs:element name="facility" maxOccurs="unbounded"
				type="ns:stringType" />
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="costType">
		<xs:sequence>
			<xs:element name="is_ticket_included"
				type="ns:booleanType" />
			<xs:element name="is_living_included"
				type="ns:booleanType" />
			<xs:element name="is_insurance_included"
				type="ns:booleanType" />
			<xs:element name="is_visa_included" type="ns:booleanType"/>
			<xs:element name="price" type="ns:priceType"/>
		</xs:sequence>
	</xs:complexType>

	<xs:complexType name="touristVoucherType">
		<xs:sequence>
			<xs:element name="tour_type" type="ns:tourType"/>
			<xs:element name="country" type="ns:stringType"/>
			<xs:element name="term" type="ns:termType"/>
			<xs:element name="transport" type="ns:transporType"/>
			<xs:element name="hotel_characteristic"
				type="ns:hotelCharacteristicType" />
			<xs:element name="cost" type="ns:costType"/>
		</xs:sequence>
		<xs:attribute name="tour_id" type="ns:idType"
			use="required" />
		<xs:attribute name="tour_operator" type="ns:stringType"
			default="TezTour" />
	</xs:complexType>

	<xs:complexType name="touristVouchersType">
		<xs:sequence>
			<xs:element name="tourist_voucher"
				type="ns:touristVoucherType" maxOccurs="unbounded" />
		</xs:sequence>
	</xs:complexType>

	<xs:element name="tourist_vouchers"
		type="ns:touristVouchersType">
	</xs:element>

</xs:schema>

